PHP 7 ? (Créer un compte)

  • WordPress :4.7
  • Statut : non résolu
4 sujets de 1 à 4 (sur un total de 4)
  • Auteur
    Messages
  • #1622675
    GilgaM
    Participant
    Chevalier WordPress
    120 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 5.6.21
    • Thème utilisé : imprezza
    • Extensions en place : Cherry Plugin
    • Nom de l’hébergeur : ovh
    • Adresse du site : blog.mtv.mc

    Problème(s) rencontré(s) :

    Je souhaite mettre à jour mon hébergement sur du PHP 7.

    J’ai changé mon fichier ovhconfig.

    Le hic est que cela me donne une erreur 500 !

    J’ai installé l’extension PHP Compatibility Checker qui me dit :

    <span style=”text-decoration: underline;”>Extension Cherry Plugin :</span>

    FILE: /home/seosyste/mtv/wp-content/plugins/cherry-plugin/includes/widgets/widgets-manager.php
    —————————————————————————————————————————-
    FOUND 1 ERROR AFFECTING 1 LINE
    —————————————————————————————————————————-
    563 | ERROR | Using ‘continue’ outside of a loop or switch structure is invalid and will throw a fatal error since PHP 7.0
    —————————————————————————————————————————-

    <span style=”text-decoration: underline;”>Extension DIGG DIGG :</span>
    FILE: /home/seosyste/mtv/wp-content/plugins/digg-digg/include/dd-manual.php
    ————————————————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ————————————————————————————————————–
    385 | ERROR | Function split() is deprecated since PHP 5.3 and removed since PHP 7.0; use preg_split instead
    ————————————————————————————————————–

    Là je bloque … quelqu’un(e) saurait comment faire pour mettre correctement mon site sous PHP 7.0 ?

    Merci 🙂

    #1622680
    GilgaM
    Participant
    Chevalier WordPress
    120 contributions

    Alors, j’ai trouvé comment résoudre le problème avec le Cherry plug in ici :

    https://www.templatemonster.com/help/cherryframework-3-troubleshooter-cherry-plugin-on-php-versions-higher-than-5-5-causing-error.html#gref

    Par contre, le module digg digg (partage sur les réseaux sociaux) bug 🙁

    Si vous cliquez sur n’importe quel billet du blog, le module digg digg apparait… tout en haut à gauche !

    Une idée ?

    🙂

    #1622716
    Li-An
    Modérateur
    Maître WordPress
    23712 contributions

    Si vos extensions ne sont pas compatibles php 7, il faut penser à en changer parce que ça signifie que le suivi n’est pas très bon. On ne peut pas vraiment faire le boulot des concepteurs.

    #1622717
    Li-An
    Modérateur
    Maître WordPress
    23712 contributions

    Digg Digg n’est plus dans le dépôt d’extension, ce qui est mauvais signe.

4 sujets de 1 à 4 (sur un total de 4)
  • Vous devez être connecté pour répondre à ce sujet.